Subject: bug#37836: 27.0.50; Snake exit not save produces segfault

From: Ergus <[email-masked]>
Date: Mon, 20 Jan 2020 02:05:23 +0100

On Thu, Jan 16, 2020 at 03:26:00PM +0100, Stefan Kangas wrote:
>Eli Zaretskii <[email-masked]> writes:
>
>>> Date: Sun, 20 Oct 2019 21:54:48 +0200
>>> From: Ergus via "Bug reports for GNU Emacs,
>>>  the Swiss army knife of text editors" <[email-masked]>
>>>
>>> I was playing snake and when the game ended it asked to create a
>>> directory. I replied no and a segfault was produced and closed emacs.
>>>
>>> The bt in the core file was this:
>>
>> Can you show the output of xbacktrace?
>>
>> The backtrace indicates that Emacs got a SIGSEGV inside Fvector that
>> was called from some timer function, but the function itself is not
>> shown, AFAICT.  It probably isn't related to snake at all.
>
>It seems like we need more info here to make any progress.  Could you
>try to produce the output that Eli is looking for?  Thanks.
>
Hi Stefan:

I haven't try snake anymore for a while. I Just tried it again and the
segfault is not there anymore (on master with my config and with
emacs -Q). This is mainly because it always creates the directory
~/.emacs.d/games independently of my answer when it asks. Is this
somehow intended or just an issue hiding the other?

Thanks for looking into this,
Ergus

>Best regards,
>Stefan Kangas